Subject: Re: [ANNOUNCE] Git v2.25.0-rc0

From: Danh Doan <[email-masked]>
Date: Sat, 28 Dec 2019 19:54:33 +0700

On 2019-12-27 14:28:59-0800, Junio C Hamano <[email-masked]> wrote:
> Danh Doan <[email-masked]> writes:
> > Some of my projects requires ASCII-only user.name,
> > instead of doing the right thing
> >
> > 	git config user.name <simplified-name>
> >
> > I decided to set it globally instead.
> > I rarely need to type in my native language,
> > hence I don't have the IME software start with Xorg.
> 
> Hmph, but back in v2.20 days, you did have IME?

Back in the days, I had my IME started on logging in,
then to save some tiny time on starting up,
I turned it off.
> 
> In any case, if I were in such a situation to need my name spelled
> differently depending on the project I work on, I would probably use
> 
> 	$ git config --global user.name <simplified-name>
> 	$ cd <repository of git>
> 	$ git config user.name <name-with-accents>
> 
> or the other way around (depends on which projects your focus is on).

Yes, that's the the right way to do, but I didn't pick that way.
I'm going through my ~/src and fixing it.

Thanks,

-- 
Danh